%define	upstream_name	 POE
%define upstream_version 1.350

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      2

Summary:    Portable multitasking and networking framework for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz
# This upstream_name naming scheme does not follow path names...

BuildRequires: perl(Carp)
BuildRequires: perl(Errno) >= 1.90.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.870.0
BuildRequires: perl(IO) >= 1.240.0
BuildRequires: perl(IO::Handle) >= 1.270.0
BuildRequires: perl(IO::Tty) >= 1.80.0
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(POE::Test::Loops) >= 1.350.0
BuildRequires: perl(POSIX) >= 1.20.0
BuildRequires: perl(Socket) >= 1.700.0
BuildRequires: perl(Storable) >= 2.160.0
BuildRequires: perl(Test::Harness) >= 2.260.0
BuildRequires: perl(Time::HiRes) >= 1.590.0
BuildRequires: perl-libwww-perl
BuildArch:  noarch

Provides:   perl(POE::Resource::Controls)

%description
POE is a framework for cooperative, event driven multitasking in Perl.

POE originally was developed as the core of a persistent object server and
runtime environment. It has evolved into a general purpose multitasking and
networking framework, encompassing and providing a consistent interface to
other event loops such as Event and the Tk and Gtk toolkits.

POE is a mature framework for creating multitasking programs in Perl.  It has
been in active development since 1998.  It has been used in mission-critical
systems such as internetworked financial markets, file systems, commerce and
application servers.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 755 examples
chmod 755 examples/*.perl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor --default
%make

%check
DISPLAY= %{__make} test

%install
%{makeinstall_std}

%files
%doc CHANGES HISTORY META.yml MYMETA.yml README TODO examples
%{perl_vendorlib}/POE
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*

%changelog

* Sat Dec 17 2011 kharec <kharec> 2:1.350.0-1.mga2
+ Revision: 183090
- update to 1.350

  + jquelin <jquelin>
    - update to 1.312

* Wed Jun 15 2011 jquelin <jquelin> 2:1.311.0-1.mga2
+ Revision: 107801
- update to 1.311

* Thu Feb 17 2011 jquelin <jquelin> 2:1.299.0-1.mga1
+ Revision: 53213
- update to 1.299

* Sat Jan 22 2011 jquelin <jquelin> 2:1.294.0-1.mga1
+ Revision: 32286
- mageia rebuild
- imported package perl-POE

